NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.SelectDividingObjectBuilder Class Reference

Represents the dividing tool block for dividing face More...

Inheritance diagram for NXOpen.GeometricUtilities.SelectDividingObjectBuilder:
NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  ToolType { Object, LineByTwoPoints, OffsetCurveInFace, IsoparametricCurve }
 Represents the Dividing Tool types More...
 
enum  IsoparametricDirectionType { U, V }
 Represents the direction of isoparametric curve More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.Features.GeometricConstraintDataManager 
ConstraintManager [get]
 Returns the iso parameter point More...
 
unsafe NXOpen.Section CurvesToOffset [get]
 Returns the curves to offset More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
DividingObjectsList [get]
 Returns the dividing objects list More...
 
unsafe NXOpen.Point EndPoint [get, set]
 Returns or sets the end point More...
 
unsafe
NXOpen.GeometricUtilities.SelectDividingObjectBuilder.IsoparametricDirectionType 
IsoparametricDirection [get, set]
 Returns or sets the isoparametric direction More...
 
unsafe bool OffsetDirection [get, set]
 Returns or sets the offset direction More...
 
unsafe NXOpen.Expression OffsetDistance [get]
 Returns the offset distance More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point More...
 
unsafe
NXOpen.GeometricUtilities.SelectDividingObjectBuilder.ToolType 
ToolOption [get, set]
 Returns or sets the tool option More...
 

Detailed Description

Represents the dividing tool block for dividing face

Created in NX9.0.0

Member Enumeration Documentation

Represents the direction of isoparametric curve

Enumerator
U 
V 

Represents the Dividing Tool types

Enumerator
Object 
LineByTwoPoints 
OffsetCurveInFace 
IsoparametricCurve 

Member Function Documentation

unsafe bool NXOpen.GeometricUtilities.SelectDividingObjectBuilder.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Features.GeometricConstraintDataManager NXOpen.GeometricUtilities.SelectDividingObjectBuilder.ConstraintManager
get

Returns the iso parameter point

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.GeometricUtilities.SelectDividingObjectBuilder.CurvesToOffset
get

Returns the curves to offset

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.GeometricUtilities.SelectDividingObjectBuilder.DividingObjectsList
get

Returns the dividing objects list

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.GeometricUtilities.SelectDividingObjectBuilder.EndPoint
getset

Returns or sets the end point

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.SelectDividingObjectBuilder.IsoparametricDirectionType NXOpen.GeometricUtilities.SelectDividingObjectBuilder.IsoparametricDirection
getset

Returns or sets the isoparametric direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.GeometricUtilities.SelectDividingObjectBuilder.OffsetDirection
getset

Returns or sets the offset direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.GeometricUtilities.SelectDividingObjectBuilder.OffsetDistance
get

Returns the offset distance

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.GeometricUtilities.SelectDividingObjectBuilder.StartPoint
getset

Returns or sets the start point

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.SelectDividingObjectBuilder.ToolType NXOpen.GeometricUtilities.SelectDividingObjectBuilder.ToolOption
getset

Returns or sets the tool option

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.